package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 数据下载规则表
 * </p>
 *
 * @author gejiang
 * @since 2022-12-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ItfGreeToFaDownloadTask对象", description="数据下载规则表")
public class ItfGreeToFaDownloadTask extends Model<ItfGreeToFaDownloadTask> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "所属公司")
    private String belongCompany;

    @ApiModelProperty(value = "下载任务类型")
    private Integer downloadTaskType;

    @ApiModelProperty(value = "源数据表")
    private String srcTabName;

    @ApiModelProperty(value = "源数据数据列")
    private String srcTabColList;

    @ApiModelProperty(value = "目的数据表")
    private String destTabName;

    @ApiModelProperty(value = "目的数据表列")
    private String destTabColList;

    @ApiModelProperty(value = "需要下载 0=否 1=是")
    private Integer needDownload;

    @ApiModelProperty(value = "最近一次下载时间")
    private Date lastDownloadTime;

    @ApiModelProperty(value = "说明")
    private String remark;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
