package com.zfire.jiasm.syncdata.plus.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gejiang
 * @since 2023-03-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="Tool对象", description="")
public class Tool extends Model<Tool> {

    private static final long serialVersionUID=1L;

    @TableId(value = "tool_id", type = IdType.ID_WORKER_STR)
    private String toolId;

    @ApiModelProperty(value = "对应字典TOOL_TYPE")
    private String toolTypeCode;

    @ApiModelProperty(value = "工具编码")
    private String number;

    @ApiModelProperty(value = "工具分类")
    private String name;

    @ApiModelProperty(value = "状态 ON=开启 OFF=关闭")
    private String status;

    @ApiModelProperty(value = "说明")
    private String remark;

    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "创建类型：手动创建/系统创建")
    private String flag;


    @Override
    protected Serializable pkVal() {
        return this.toolId;
    }

}
